Skip to main content
GET
/
reports
/
runs
[beta] Get custom report runs
curl --request GET \
  --url https://api.samsara.com/reports/runs \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "createdAtTime": "2019-06-13T19:08:25Z",
      "id": "4f71fd67-54f0-41de-991c-ee1e031134d1",
      "status": "complete",
      "updatedAtTime": "2019-06-13T19:08:25Z"
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

reportConfigIds
string[]

The list of report config IDs to retrieve the report runs for. Include up to 10 report config IDs. If not provided, runs for all configs will be returned.

ids
string[]

The list of report run IDs to retrieve the report runs for. Include up to 10 report run IDs. If not provided, all report runs will be returned.

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

limit
integer
default:100

Maximum number of runs to return.

Required range: 1 <= x <= 100

Response

OK response.

data
object[]
required

Array of report run objects.

pagination
object
required

Pagination parameters.